#ifndef __BOUNDINGBOX_H
#define __BOUNDINGBOX_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

CODE_MODULE_PROTOTYPE( BoundingBox, BoundingBoxModule );

using namespace std;

extern CatomWorld *worldPtr;

class BoundingBoxModule : public CodeModule {
public:

  // Set a unique name for your CodeModule here
  BoundingBoxModule(catomID _hostCatom) : CodeModule(_hostCatom) { name_ = "BoundingBox"; }

  void newTick( void );
  StateFile::Module* StateFileConstructor( void );

};

#endif // __BOUNDINGBOX_H
